
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#ifndef INITNG_SIGNAL_H
#define INITNG_SIGNAL_H

#include <sys/wait.h>                       /* waitpid() sa */

extern volatile int initng_signal_got_keyboard_request;
extern volatile int initng_signal_got_ctrl_alt_del;
extern volatile int initng_signal_got_alarm;
extern volatile int initng_signal_got_sigchld;
extern volatile int initng_signal_got_sighup;
extern volatile int initng_signal_got_sigpipe;

struct sigaction sa;

/* this initiates signal control */
void initng_signal_handle_sigchild(void);
void initng_signal_enable(void);
void initng_signal_disable(void);

#endif
